Package org.apache.sysds.runtime.functionobjects

## Class GreaterThan

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.ValueFunction
    - - org.apache.sysds.runtime.functionobjects.ValueComparisonFunction
      - - org.apache.sysds.runtime.functionobjects.GreaterThan

- All Implemented Interfaces:
    `Serializable`

      public class GreaterThan
      extends ValueComparisonFunction

  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `compare​(boolean in1, boolean in2)` |
    `boolean` | `compare​(double in1, double in2)` |
    `boolean` | `compare​(long in1, long in2)` |
    `boolean` | `compare​(String in1, String in2)` |
    `double` | `execute​(double in1, double in2)` | execute() method that returns double is required since current map-reduce runtime can only produce matrices of doubles.
    `static GreaterThan` | `getGreaterThanFnObject()` |

    - ### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

      `requiresCorrection`

    - ### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

      `clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getGreaterThanFnObject

          public static GreaterThan getGreaterThanFnObject()

    - #### execute

          public double execute​(double in1,
                                double in2)

      execute() method that returns double is required since current map-reduce runtime can only produce matrices of doubles. This method is used on MR side to perform comparisons on matrices like A>B and A>2.5
      Overrides:
        `execute` in class `FunctionObject`

    - #### compare

          public boolean compare​(double in1,
                                 double in2)

      Specified by:
        `compare` in class `ValueComparisonFunction`

    - #### compare

          public boolean compare​(long in1,
                                 long in2)

      Specified by:
        `compare` in class `ValueComparisonFunction`

    - #### compare

          public boolean compare​(boolean in1,
                                 boolean in2)

      Specified by:
        `compare` in class `ValueComparisonFunction`

    - #### compare

          public boolean compare​(String in1,
                                 String in2)

      Specified by:
        `compare` in class `ValueComparisonFunction`